---
title: 'ARIA: search role'
slug: Web/Accessibility/ARIA/Roles/Search_role
tags:
  - ARIA
  - ARIA Role
  - Reference
  - role-search
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p><span class="seoSummary">The <code>search</code> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> is used to identify a section of the page used to search the page, site, or collection of sites.</span></p>

<pre class="brush: html notranslate">&lt;form role="search"&gt;
  &lt;!-- search input --&gt;
&lt;/form&gt;
</pre>

<h2 id="Description">Description</h2>

<p>The <code>search</code> role is <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">a landmark</a>. Landmarks can be used by assistive technology to quickly identify and navigate to large sections of the document. The <code>search</code> role is added to the container element that encompasses the items and objects that, as a whole, combine to create search functionality. When a <code>&lt;form&gt;</code> is a search form, use the <code>search</code> role instead of <code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Form_Role">form</a></code>. If a document includes more than one search, each should have a unique label. While there is a <a href="/en-US/docs/Web/HTML/Element/input/search">input of type search</a>, there is no HTML element that defines a search landmark.</p>

<h2 id="Examples">Examples</h2>

<pre class="notranslate"><span class="tag">&lt;form id="search" role="search"&gt;
</span>  &lt;label for="search-input"&gt;Search this site&lt;/label&gt;
  &lt;input type="search" id="search-input" name="search" spellcheck="false"&gt;
  &lt;input value="Submit" type="submit"&gt;
<span class="tag">&lt;/form&gt;</span>
</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles</a> are intended to be used sparingly, to identify larger overall sections of the document. Using too many landmark roles can create "noise" in screen readers, making it difficult to understand the overall layout of the page.</p>

<h2 id="Best_practices">Best practices</h2>

<h3 id="Prefer_HTML">Prefer HTML</h3>

<p>Using the <a href="/en-US/docs/Web/HTML/Element/form"><code>&lt;form&gt;</code> element</a> in conjunction with a declaration of <code>role="search"</code> will provide the largest amount of support.</p>

<h3 id="Labeling_landmarks">Labeling landmarks</h3>

<h4 id="Multiple_landmarks">Multiple landmarks</h4>

<p>If there is more than one <code>search</code> landmark role in a document, provide a label for each landmark. This label will allow an assitive technology user to be able to quickly understand the purpose of each landmark.</p>

<pre class="brush: html notranslate">&lt;form id="site-search" role="search" aria-label="Sitewide"&gt;
  &lt;!-- search input --&gt;
&lt;/form&gt;

...

&lt;form id="page-search" role="search" aria-label="On this page"&gt;
  &lt;!-- search input --&gt;
&lt;/form&gt;
</pre>

<h4 id="Repeated_landmarks">Repeated landmarks</h4>

<p>If a <code>search</code> landmark role in a document is repeated in a document, and both landmarks have identical content, use the same label for each landmark. An example of this would be repeating the sitewide search at the top and bottom of the page.</p>

<pre class="brush: html notranslate">&lt;header&gt;
  &lt;form id="site-search-top" role="search" aria-label="Sitewide"&gt;
    &lt;!-- search input --&gt;
  &lt;/form&gt;
&lt;/header&gt;

...

&lt;footer&gt;
  &lt;form id="site-search-bottom" role="search" aria-label="Sitewide"&gt;
    &lt;!-- search input --&gt;
  &lt;/form&gt;
&lt;/footer&gt;
</pre>

<h4 id="Redundant_descriptions">Redundant descriptions</h4>

<p>Screen readers will announce the type of role the landmark is. Because of this, you do not need to describe what the landmark is in its label. For example, a declaration of <code>role="search"</code> with an <code>aria-label="Sitewide search"</code> may be announced redundantly as, "sitewide search search".</p>

<h3 id="Added_benefits">Added benefits</h3>

<p>Certain technologies such as browser extensions can generate lists of all landmark roles present on a page, allowing non-screen reader users to also quickly identify and navigate to large sections of the document.</p>

<ul>
 <li><a href="http://matatk.agrip.org.uk/landmarks/">Landmarks browser extension</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#search","ARIA search role")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("ARIA Authoring Practices","#aria_lh_search","ARIA search role")}}</td>
   <td>{{Spec2('ARIA Authoring Practices')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Element/form">&lt;form&gt;: The Form element</a></li>
 <li><a href="/en-US/docs/Web/HTML/Element/input/search">&lt;input type="search"&gt;</a></li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">Using HTML sections and outlines</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles: Using ARIA: Roles, States, and Properties</a></li>
 <li><a href="https://developer.paciellogroup.com/blog/2013/02/using-wai-aria-landmarks-2013/">Using WAI-ARIA Landmarks – 2013 | The Paciello Group</a></li>
 <li><a href="https://www.scottohara.me/blog/2018/03/03/landmarks.html">Accessible Landmarks | scottohara.me</a></li>
</ul>
